Back to TikTok
TikHub·TikTok

TikTok Web: Home Feed

/api/v1/tiktok/web/fetch_home_feedsync$0.003 / call

Home Feed via TikHub's TikTok Web endpoint. (TikHub · TikTok Web)

Input
  • countinteger

    Number per page (default 15)

  • cookiestring

    User's own cookie, optional parameter, used for personalized recommendations of interface return data.

  • regionstring

    GB / JP / KR / Region code, optional, affects the region of recommended content, e.g. US / GB / JP / KR / SG, default US. (default "US")

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/tiktok/web/fetch_home_feed","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.